package com.chenyang.nse.bussiness.service.core;

import com.chenyang.nse.bussiness.dao.PageInfo;
import com.chenyang.nse.bussiness.entity.orm.table.core.masking.TCoreWatermarkKeyInfo;
import java.util.List;
import java.util.Map;

public interface WaterMarkService {
   List isExistKey(String key);

   void saveWaterMarkInfo(TCoreWatermarkKeyInfo tCoreWatermarkKeyInfo);

   List<TCoreWatermarkKeyInfo> queryWaterMarkInfo(PageInfo pageInfo);

   List<TCoreWatermarkKeyInfo> queryWaterMarkInfobyId(String taskid);

   void delWaterMarkInfobyId(String taskid);

   List isExistKeyname(String keyname);

   List<Map<String, String>> getMatchingInfo(String textval);
}
